﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using System.IO.IsolatedStorage;
using Infragistics.Windows.OutlookBar;
using Infragistics.Windows.Controls;
using Infragistics.Persistence;
using Infragistics.Windows;
using System.Diagnostics;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        MemoryStream memoryStream;
       
        OutlookBarGroupCollection coll;
        public string fileName = "Outlookbar.xml";

        public MainWindow()
        {
            InitializeComponent();
           
            coll = outlookBar.Groups;
        }       

        private void saveOutlook()
        {
            OutlookBarSettings.OneEnabled = One.IsVisible;
            OutlookBarSettings.TwoEnabled = Two.IsVisible;
            OutlookBarSettings.ThreeEnabled = Three.IsVisible;
           
            OutlookBarSettings.NavigationAreaMaxGroups = outlookBar.NavigationAreaMaxGroups;
            XmlUtil.WriteOutlookSettingsXML(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)+
                                            "\\OutLookBarSettings.xml");
        }

        private void loadOutlook()
        {
            bool read = OutlookBarSettings.ReadOutlookbarXML();

            if (read)
            {
                if (!OutlookBarSettings.OneEnabled)
                {
                    One.Visibility = Visibility.Collapsed;
                }
                if (!OutlookBarSettings.TwoEnabled)
                {
                    Two.Visibility = Visibility.Collapsed;
                }
                if (!OutlookBarSettings.ThreeEnabled)
                {
                    Three.Visibility = Visibility.Collapsed;
                }
               
                outlookBar.NavigationAreaMaxGroups = OutlookBarSettings.NavigationAreaMaxGroups;
            }
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            //saveOutlook();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            //loadOutlook();
            coll = outlookBar.Groups;
        }

        private void Save_Handler(object sender, RoutedEventArgs e)
        {
            //Obtaining XamOutlookBar in order to persist its properties
            
            memoryStream = PersistenceManager.Save(this.outlookBar);            

            using (IsolatedStorageFile iso = IsolatedStorageFile.GetUserStoreForAssembly())
            {
                if (iso.FileExists(fileName))
                    iso.DeleteFile(fileName);

                using (IsolatedStorageFileStream stream = new IsolatedStorageFileStream(fileName, FileMode.OpenOrCreate, iso))
                {
                    stream.Write(memoryStream.ToArray(), 0, (int)memoryStream.Length);
                    stream.Close();
                }
            }
        }

        private void Load_Handler(object sender, RoutedEventArgs e)
        {
            using (IsolatedStorageFile iso = IsolatedStorageFile.GetUserStoreForAssembly())
            {
                if (iso.FileExists(fileName))
                {
                    using (IsolatedStorageFileStream stream = new IsolatedStorageFileStream(fileName, FileMode.OpenOrCreate, iso))
                    {
                        //Loading the persisted properties to XamOutlookBar
                        //PersistenceManager.Load(this.outlookBar, stream);
                        //foreach (var group in outlookBar.Groups)
                        //{
                        //    group.LargeImage = new BitmapImage(new Uri("pack://application:,,,/outllook.jpg"));
                        //}
                    }
                }
            }
        }       

        ListBox list;        

        private void PART_ListBox_Loaded(object sender, RoutedEventArgs e)
        {
            list = sender as ListBox;            
        }

        private void btnReset_Click(object sender, RoutedEventArgs e)
        {            
            if (list != null)
            {                 
                NavigationPaneOptionsControl asd = Utilities.GetAncestorFromType(sender as DependencyObject, typeof(NavigationPaneOptionsControl), false) as NavigationPaneOptionsControl;
                NavigationPaneOptionsControlCommands.ResetGroupSequenceAndVisibilityCommand.Execute(asd,asd);

                foreach (ListBoxItem item in list.Items)
                {                    
                    item.IsSelected = true;
                }               
            }
        }
    }
}
