﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Xml.Linq;


namespace WpfApplication1
{
    /// <summary>
    /// 
    /// </summary>
    public static class OutlookBarSettings
    {
        private static string filePath;

        static OutlookBarSettings()
        {
            filePath = Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments);
        }

        /// <summary>
        /// 
        /// </summary>

        //Outlookbar settings
        public static bool OneEnabled { get; set; }
        public static bool TwoEnabled { get; set; }
        public static bool ThreeEnabled { get; set; }
        public static int NavigationAreaMaxGroups { get; set; }


        public static bool ReadOutlookbarXML()
        {
            bool read = false;
            if (File.Exists(filePath + "\\OutlookBarSettings.xml"))
            {
                XDocument settings = XDocument.Load(filePath + "\\OutlookBarSettings.xml");
                IEnumerable<XElement> rootCategory = settings.Descendants("OutlookSettings");

                foreach (XElement xElement in rootCategory)
                {

                    if (!xElement.Element("OneEnabled").IsEmpty)
                    {
                        OneEnabled = Convert.ToBoolean(xElement.Element("OneEnabled").Value);
                    }
                    if (!xElement.Element("TwoEnabled").IsEmpty)
                    {
                        TwoEnabled = Convert.ToBoolean(xElement.Element("TwoEnabled").Value);
                    }
                    if (!xElement.Element("ThreeEnabled").IsEmpty)
                    {
                        ThreeEnabled = Convert.ToBoolean(xElement.Element("ThreeEnabled").Value);
                    }
                    if (!xElement.Element("navigationAreaMaxGroups").IsEmpty)
                    {
                        NavigationAreaMaxGroups = Convert.ToInt16(xElement.Element("navigationAreaMaxGroups").Value);
                    }
                  
                }
                read = true;
            }
            return read;
        }
    }
}